<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/aim_util_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>02/18/85  aim_util_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>The aim_util_ subroutine contains entrypoints that manipulate AIM
<span id="L5" class="LineNr">  5 </span>access classes and authorizations.
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>Entry points in aim_util_:
<span id="L9" class="LineNr">  9 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>
<span id="L12" class="LineNr"> 12 </span>:Entry:  get_access_class:  02/18/85 aim_util_$get_access_class
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>Function:
<span id="L16" class="LineNr"> 16 </span>This entry point extracts the access class from an authorization.
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>Syntax:
<span id="L20" class="LineNr"> 20 </span>declare aim_util_$get_access_class entry <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span> returns
<span id="L21" class="LineNr"> 21 </span>     <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr"> 22 </span>access_class = aim_util_$get_access_class <span class="textRainbow_lv0_p0">(</span>authorization<span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr"> 23 </span>
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>Arguments:
<span id="L26" class="LineNr"> 26 </span>authorization
<span id="L27" class="LineNr"> 27 </span>   is a standard AIM authorization marking.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr"> 28 </span>access_class
<span id="L29" class="LineNr"> 29 </span>   is a standard AIM access class marking.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L30" class="LineNr"> 30 </span>
<span id="L31" class="LineNr"> 31 </span>
<span id="L32" class="LineNr"> 32 </span>:Entry:  get_privileges:  02/18/85 aim_util_$get_privileges
<span id="L33" class="LineNr"> 33 </span>
<span id="L34" class="LineNr"> 34 </span>
<span id="L35" class="LineNr"> 35 </span>Function:
<span id="L36" class="LineNr"> 36 </span>This entry point extracts the privileges from a standard AIM
<span id="L37" class="LineNr"> 37 </span>authorization.
<span id="L38" class="LineNr"> 38 </span>
<span id="L39" class="LineNr"> 39 </span>
<span id="L40" class="LineNr"> 40 </span>Syntax:
<span id="L41" class="LineNr"> 41 </span>declare aim_util_$get_privileges entry <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span> returns
<span id="L42" class="LineNr"> 42 </span>     <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L43" class="LineNr"> 43 </span>privileges = aim_util_$get_privileges <span class="textRainbow_lv0_p0">(</span>authorization<span class="textRainbow_lv0_p0">)</span>;
<span id="L44" class="LineNr"> 44 </span>
<span id="L45" class="LineNr"> 45 </span>
<span id="L46" class="LineNr"> 46 </span>Arguments:
<span id="L47" class="LineNr"> 47 </span>authorization
<span id="L48" class="LineNr"> 48 </span>   is a standard AIM authorization marking.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L49" class="LineNr"> 49 </span>privileges
<span id="L50" class="LineNr"> 50 </span>   is a standard AIM privilege string.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> See the include file
<span id="L51" class="LineNr"> 51 </span>   aim_privileges.incl.pl1 for the interpretation of this string.
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>:Entry:  get_level:  02/18/85 aim_util_$get_level
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>Function:
<span id="L58" class="LineNr"> 58 </span>This entry point extracts the sensitivity level from an access class or
<span id="L59" class="LineNr"> 59 </span>authorization.
<span id="L60" class="LineNr"> 60 </span>
<span id="L61" class="LineNr"> 61 </span>
<span id="L62" class="LineNr"> 62 </span>Syntax:
<span id="L63" class="LineNr"> 63 </span>declare aim_util_$get_level entry <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span> returns <span class="textRainbow_lv0_p0">(</span>fixed
<span id="L64" class="LineNr"> 64 </span>     bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L65" class="LineNr"> 65 </span>level = aim_util_$get_level <span class="textRainbow_lv0_p0">(</span>access_class<span class="textRainbow_lv0_p0">)</span>;
<span id="L66" class="LineNr"> 66 </span>
<span id="L67" class="LineNr"> 67 </span>
<span id="L68" class="LineNr"> 68 </span>Arguments:
<span id="L69" class="LineNr"> 69 </span>access_class
<span id="L70" class="LineNr"> 70 </span>   is a standard AIM access class or authorization marking.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L71" class="LineNr"> 71 </span>level
<span id="L72" class="LineNr"> 72 </span>   is a sensitivity level number.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> Levels range from 0 to 7.
<span id="L73" class="LineNr"> 73 </span>   Level names are available via system_info_$level_names.
<span id="L74" class="LineNr"> 74 </span>
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>:Entry:  get_categories:  02/18/85 aim_util_$get_categories
<span id="L77" class="LineNr"> 77 </span>
<span id="L78" class="LineNr"> 78 </span>
<span id="L79" class="LineNr"> 79 </span>Function:
<span id="L80" class="LineNr"> 80 </span>This entry point extracts the categories from a standard AIM access
<span id="L81" class="LineNr"> 81 </span>class or authorization.
<span id="L82" class="LineNr"> 82 </span>
<span id="L83" class="LineNr"> 83 </span>
<span id="L84" class="LineNr"> 84 </span>Syntax:
<span id="L85" class="LineNr"> 85 </span>declare aim_util_$get_categories entry <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span> returns
<span id="L86" class="LineNr"> 86 </span>     <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L87" class="LineNr"> 87 </span>categories = aim_util_$get_categories <span class="textRainbow_lv0_p0">(</span>access_class<span class="textRainbow_lv0_p0">)</span>;
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>
<span id="L90" class="LineNr"> 90 </span>Arguments:
<span id="L91" class="LineNr"> 91 </span>access_class
<span id="L92" class="LineNr"> 92 </span>   is a standard AIM access class or authorization marking.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L93" class="LineNr"> 93 </span>categories
<span id="L94" class="LineNr"> 94 </span>   is a bit string representing the category information contained in
<span id="L95" class="LineNr"> 95 </span>   the access class.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> If the i'th bit of the bit string is a
<span id="L96" class="LineNr"> 96 </span>   1, then the i'th category is included in the access class marking.
<span id="L97" class="LineNr"> 97 </span>   Category names are available from system_info_$category_names.
<span id="L98" class="LineNr"> 98 </span>
<span id="L99" class="LineNr"> 99 </span>
<span id="L100" class="LineNr">100 </span>:Entry:  make_access_class:  02/18/85 aim_util_$make_access_class
<span id="L101" class="LineNr">101 </span>
<span id="L102" class="LineNr">102 </span>
<span id="L103" class="LineNr">103 </span>Function:
<span id="L104" class="LineNr">104 </span>This entry point constructs an access class marking from a
<span id="L105" class="LineNr">105 </span>level and a set of categories.
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>
<span id="L108" class="LineNr">108 </span>Syntax:
<span id="L109" class="LineNr">109 </span>declare aim_util_$make_access_class <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span>
<span id="L110" class="LineNr">110 </span>     bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L111" class="LineNr">111 </span>call aim_util_$make_access_class <span class="textRainbow_lv0_p0">(</span>level<span class="textRainbow_lv0_o0">,</span> categories<span class="textRainbow_lv0_o0">,</span> access_class<span class="textRainbow_lv0_p0">)</span>;
<span id="L112" class="LineNr">112 </span>
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>Arguments:
<span id="L115" class="LineNr">115 </span>level
<span id="L116" class="LineNr">116 </span>   is a sensitivity level number, from 0 to 7.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L117" class="LineNr">117 </span>categories
<span id="L118" class="LineNr">118 </span>   is a category bit string.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> See aim_util_$get_categories for
<span id="L119" class="LineNr">119 </span>   the construction of this string.
<span id="L120" class="LineNr">120 </span>access_class
<span id="L121" class="LineNr">121 </span>   is a standard AIM access class marking.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
